from django.shortcuts import render, redirect
import os.path
from .forms import ImageForm
from django.core.files.storage import FileSystemStorage

def uploadContent(request):
    if request.method == "GET":
        return render(request, "uploadChoice.html")
    elif request.method == "POST":
        choice = request.POST["choices"]
        if choice == "image":
            return redirect("/upload_image/")
        elif choice == "video":
            return redirect("/upload_video/")
        else:
            return
    else:
        return

# Please fix the fact that this shit gets uploaded literally everywhere

def imageUpload(request):
    """Process images uploaded by users"""
    if request.method == 'POST':
        form = ImageForm(request.POST, request.FILES)
        if form.is_valid():
            myfile = request.FILES['image']
            fs = FileSystemStorage(location="./static/") #defaults to   MEDIA_ROOT  
            filename = fs.save(myfile.name, myfile)
            file_url = fs.url(filename)

            return render(request, 'uploadImage.html', {
                'file_url': file_url,
                'file_name': myfile.name,
                })
            
    else:
        form = ImageForm()
